{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>VNF models</h2>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>VNF Name</th>
                <th>Category</th>
                <th>SubCategory</th>
            </tr>
            </thead>
            <tbody>
            {% for vnf in vnfs %}
            <tr>
                <td><class="vnf" type="text" id="{{loop.index}}" name="{{loop.index}}" value="{{loop.index}}">{{loop.index}}</td>
                <td><class="vnf" type="text" id="vnf_name_{{loop.index}}" name="vnf_name_{{loop.index}}" value="{{vnf['name']}}">{{vnf['name']}}</td>
                <td><class="vnf" type="text" id="vnf_cat_{{loop.index}}" name="vnf_cat_{{loop.index}}" value="{{vnf['category']}}">{{vnf['category']}}</td>
                <td><class="vnf" type="text" id="vnf_subcat_{{loop.index}}" name="vnf_subcat_{{loop.index}}" value="{{vnf['subCategory']}}">{{vnf['subCategory']}}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
